<template lang="pug">
.itemFichero
	//-.icono: .ico(:data-ext="archivo.extension")
	IconoFichero( :ext="archivo.tipo" )
	h2 {{ archivo.nombre | capitalizar }}
	p {{ archivo.descripcion }}
</template>

<script>
import IconoFichero from "@/components/IconoFichero"
export default {
	name:"ItemFichero",
	components:{
		IconoFichero
	},
	props: {
		archivo:Object
	}
}
</script>

<style lang="stylus">
@import '~nib/index'
@import "../stylus/base/utiles.styl"

.itemFichero
	background-color blanco
	//display flex
	//border 1px solid lighten( gris, 50% )
	padding 0.8rem
	cursor pointer
	display grid
	grid-template-areas "icono nombre" \
		"icono descripcion"
	grid-template-columns 1fr 5fr
	grid-template-rows auto 1fr
	align-items start

	&:hover
		background-color tint( azul, 95% )


	.iconoFichero
		flex 0 0 36px
		display block
		max-width 64px
		position relative
		grid-area icono

		/* .ico
			width 48px
			height 64px
			position relative
			margin auto
			background-color lighten( gris, 75% )
			overflow hidden

			&::before
				content "." attr(data-ext)
				display block
				absolute top left right
				background-color tint( azul, 60% )
				padding 0.3em
				font-size 0.7rem
				text-align center
				text-transform uppercase
				color blanco
				font-weight bold

			&::after
				content ""
				display block
				width 0
				height 0
				absolute bottom right
				border 8px solid lighten( gris, 50% )
				border-bottom-color blanco
				border-right-color blanco
				box-shadow -1px -1px 2px -1px alpha( negro, 40% ) */
	h2
		margin-left 0.7rem
		margin-bottom 0.2rem
		font-size calcRem( 12 )
		text-align left
		color gris
		grid-area nombre

	p
		margin-left 0.7rem
		font-size calcRem( 10 )
		text-align left
		color tint( azul, 60% )
		grid-area descripcion

</style>
